﻿using UnityEngine;
using System.Collections;

public class BunnyCorpseController : MonoBehaviour {

	// Outlets
	SpriteRenderer spriteComponent;

	// Configuration
	float timeLimit = 1f;

	// State Tracking
	float delayElapsed;
	float timeElapsed;



	void Awake() {
		spriteComponent = GetComponent<SpriteRenderer>();
	}

	void Start() {

	}
	
	// Update is called once per frame
	void Update() {
		if(delayElapsed < timeLimit * 2f) {
			delayElapsed += Time.deltaTime;
		} else {
			timeElapsed += Time.deltaTime;

			float alpha = (timeLimit - timeElapsed) / timeLimit;
			spriteComponent.color = new Color(1f, 1f, 1f, alpha);

			if(spriteComponent.color.a <= 0) {
				Destroy(gameObject);
			}
		}
	}
}
