﻿using UnityEngine;
using System.Collections;

public class GibsController : MonoBehaviour {

	// Outlets
	public SpriteRenderer spriteComponent;
	public Sprite[] sprites;


	// Use this for initialization

	void Awake() {
		spriteComponent = GetComponent<SpriteRenderer>();
		spriteComponent.sprite = sprites[Random.Range (0, sprites.Length)];
	}

	void Start() {
		StartCoroutine(DeathHandler());
	}
	
	// Update is called once per frame
	void Update() {
	
	}

	IEnumerator DeathHandler() {
		yield return new WaitForSeconds(5f);
		Destroy(gameObject);
	}
}
