﻿using UnityEngine;
using System.Collections;

public class SoundManager : MonoBehaviour {
	public static SoundManager instance;

	// Outlets
	public AudioSource source;
	public AudioSource backgroundSource;

	public AudioClip audioLevelUp;
	public AudioClip audioSuccess;
	public AudioClip audioFail;

	public AudioClip audioAttack;
	public AudioClip audioKill;
	public AudioClip audioHurt;

	public AudioClip audioGameOver;
	public AudioClip audioSwarm;
	public AudioClip audioMaul;
	public AudioClip audioHiss;
	public AudioClip audioScream;
	public AudioClip audioGibs;
	public AudioClip audioTryAgain;

	// Configuration

	// State Tracking



	void Awake() {
		DontDestroyOnLoad(gameObject);
		if(instance == null) {
			instance = this;
		}
	}
	void Start() {
	
	}

	void Update() {
	
	}

	public static void PlayOneShot(AudioClip sound) {
		if(instance != null && instance.source != null) {
			instance.source.PlayOneShot(sound);
		}
	}
}
